# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [0.1.6] - 2020-11-16

### Fixes

- Export Widget `ErrorSnowWidget`
- Removed unused padding attribute of `ResourceWidget`
- Fixed `errorWidget` of `ResourceWidget`

## [0.1.5] - 2020-10-27

### Fixes

- Export class `UIHelper`

## [0.1.4] - 2020-10-26

### Added

- `WidgetUtil`
- `ColorUtil`
- `CurrencyPtBrInputFormatter` to pt-br currency mask
- `UIHelper` to horizontal and vertical spacement
- Add error log to `Resource.asFuture` when failed

## [0.1.3] - 2020-09-10

## Added

- Added `ListViewWidget`, that helps you to create a list of widgets with a resource, that have 5 states, error,
error with data, loading, loading with data and success. With `RefreshIndicator` and a default `ErrorWidget`.
- Added `ResourceWidget`, that helps you to create a widget with a resource, that have 3 states, error, loading
and success. With a default `ErrorWidget` with a callback function.

### Fixes

- Updated packages

## [0.1.2] - 2020-08-31

### Added

- Updated version of `flutter_modular`

## [0.1.1] - 2020-07-29

### Added

- Added `transformData` and `mergeStatus` methods in Resource object.
- Improvement when occur an error with `Resource.asFuture()`.
- Bug fixes.

## [0.1.0] - 2020-06-26

### Added

- Initial version of the package.
- Thanks to [Denis Viana](https://gitlab.com/denisviana) and to [Lucas Polazzo](https://gitlab.com/LucazzP) that made
  this first version of the package!

[Unreleased]: https://gitlab.com/snowman-labs/flutter-devs/project_base_snow/-/compare/master...v0.1.6
[0.1.6]: https://gitlab.com/snowman-labs/flutter-devs/project_base_snow/-/tags/v0.1.6
[0.1.5]: https://gitlab.com/snowman-labs/flutter-devs/project_base_snow/-/tags/v0.1.5
[0.1.4]: https://gitlab.com/snowman-labs/flutter-devs/project_base_snow/-/tags/v0.1.4
[0.1.3]: https://gitlab.com/snowman-labs/flutter-devs/project_base_snow/-/tags/v0.1.3
[0.1.2]: https://gitlab.com/snowman-labs/flutter-devs/project_base_snow/-/tags/v0.1.2
[0.1.1]: https://gitlab.com/snowman-labs/flutter-devs/project_base_snow/-/tags/v0.1.1
[0.1.0]: https://gitlab.com/snowman-labs/flutter-devs/project_base_snow/-/tags/v0.1.0